/*!	
	@file
	@brief	ゲーム側から使う頂点配列
*/

#ifndef CVertex_h
#define CVertex_h

#include"../Setup/CompileMode.h"
#include"../Auxiliary/mstring.h"

#include"../template/GlobalPointer.h"

namespace Maid
{
	class CGraphic;
	class CVertex : public GlobalPointer<CGraphic>
	{
	public:
		virtual ~CVertex(){}

		virtual mstring GetID()const=0;
	};
}

#endif